#Порядок денний


## Інформація
* Автори: Abel Passos, Ângelo Abrantes і Rui Fontes
* Оновлено: 21.03.2024
* Завантажити [стабільну версію][1]
* Сумісність: NVDA версії 2019.3 і вище


## Презентація
Цей додаток дозволяє записувати зустрічі та дії з сигналами або без них, з можливістю повторення чи без нього.
Ви можете використовувати два різних порядки денних.
Щоб перемикатися між ними, перейдіть до меню NVDA, Параметри, Налаштування, розділ "Порядок денний" і виберіть зі списку той порядок денний, який ви хочете використовувати.
Якщо другий рядок порожній, скористайтеся кнопкою \"Вибрати або додати каталог\", щоб створити другий порядок денний.
Якщо ви використовуєте цю кнопку з вибраним шляхом, порядок денний буде переміщено до нового шляху, якщо в ньому його немає. Якщо він існує, буде змінено лише шлях, і обидва порядки денних буде збережено, із використанням нового шляху.
При запуску NVDA ви отримаєте нагадування про зустрічі на наступні дні. Це нагадування може бути діалогом зі списком всіх зустрічей або нагадування з діалогом і звуковим сигналом для зустрічей зі встановленим сигналом.
Цю функцію можна налаштувати в налаштуваннях додатка.


## Команда
Команда для виклику додатка - NVDA+F4.
Ви можете змінити її в діалозі Жести вводу в розділі порядок денний.


## Як це працює:
* Коли ви відкриваєте додаток, показуються зустрічі на поточний день.
* У головному діалозі є поля для зміни дати, зустрічі на вибрану дату та деякі кнопки керування додатком, які будуть описані пізніше.
Поля дати можна змінити за допомогою вертикальних стрілок або ввівши потрібне значення. При зміні дати автоматично відображатимуться зустрічі на цей день.


### Гарячі клавіші для головного діалога:


* Alt + 1-9: Збільшує кількість днів для натиснутого значення;
* Alt+0: повернення до поточної дати;
* Alt+стрілка вліво: повертає дату на один день назад;
* Alt+стрілка вправо: Пересунути дату на один день вперед;
* Alt+стрілка вгору: На тиждень вперед;
* Alt+стрілка вниз: Повертає тиждень назад;
* Alt+Сторінка вгору: На один місяць вперед;
* Alt+Сторінка вниз: Повертає на один місяць назад;
* Enter: Якщо вибрано зустріч, відкривається діалог редагування. В іншому випадку відкриває діалог для створення нової зустрічі;
* Delete: Видаляє вибраний запис. Та ж функція, що і у кнопки Видалити;
* Control+f: Відкриває діалог "Пошуку". Дорівнює активації кнопки "Пошук".


### Функції кнопок у головному діалозі та відповідним їм швидким клавіш:
* Додати (Alt+A): Відкриває діалог для реєстрації зустрічей на вибрану дату;
* Редагувати (Alt+E): Відкриває діалог для редагування вибраної зустрічі;
* Видалити (Alt+R): Видаляє вибрану зустріч;
* Пошук (Alt+S): Відкриває діалог для пошуку інформації в порядку денному
* Вихід (Alt+S): Закриває діалог.


### Функції додавання та редагування дуже схожі, тому діалог, який буде описаний, виконує обидві функції.
Основна відмінність полягає в тому, що для редагування вам потрібно попередньо вибрати зустріч, яку ви хочете змінити.
Також у функції Редагувати вибрані дані зустрічі відображаються у діалозі редагування. У функції Додати відкривається діалог з вибраною датою, а інші поля залишаються порожніми


### Діалог додавання та редагування полів
* День/місяць/рік: Поля дати, які можна змінити за допомогою вертикальних стрілок або ввівши потрібне значення
* Години/хвилини: Поля часу, які можна змінити за допомогою вертикальних стрілок або ввівши потрібне значення
* Опис: Поле для заповнення інформації про зустріч;
* Кнопка "Повтор": Дозволяє отримати доступ до діалогу "Встановити повторення", де можна визначити період повторення та час його завершення.
* Сигнали: дозволяє отримати доступ до діалогу «Налаштування сигналів», де ви знайдете різні прапорці, щоб вибрати, коли запускати сигнал. Початково, якщо будь-який сигнал вибрано перед датою та часом зустрічі, автоматично активується сигнал точного часу
* Кнопка Гаразд (Alt+O): вносить інформацію про зустріч до календаря
* Кнопка "Скасувати" (Alt+C): не зберігає інформацію, заповнену в цьому діалозі
* У діалозі Додавання/Редагування є комбінація клавіш Ctrl+Enter для збереження заповненої інформації. Це рівноцінно функції кнопки Гаразд


### Діалог поля пошуку
* Тип пошуку: необхідно вибрати з таких варіантів:

	* Пошук за текстом: Відкриється поле для редагування, в якому ви можете ввести те, що хочете знайти. Не обов'язково вводити всю фразу, пошук можна здійснювати за частинами слів;
	* Наступні 7 днів: Відображає зустрічі на наступні 7 днів, не включаючи поточний день;
	* Наступні 30 днів: Відображає зустрічі на наступні 30 днів, не включаючи поточний день;
	* Діапазон дати: Відображає поля початкової та кінцевої дати для пошуку;

* Кнопка пошуку (Alt+S): Виконує вибраний пошук і повертає знайдену інформацію;
* Кнопка "Додати" (Alt+A): Та ж функція додавання, що і в головному діалозі. Різниця полягає в тому, що якщо ви вибрали зустріч, діалог додавання буде на дату вибраної зустрічі. Якщо зустріч не вибрана, то діалог відображається на поточну дату;
* Кнопка "Редагувати" (Alt+E): Та ж функція редагування, що і в головному діалозі. Потребує вибору зустрічі;
* Кнопка «Видалити» (Alt+R): видалити вибрану зустріч;
* Видалити все (Alt+L): Видаляє всі показані зустрічі;
* Кнопка "Скасувати" (Alt+C): закриває вікно пошуку і повертає до головного діалогу.

[1]: https://github.com/ruifontes/agenda-for-NVDA/releases/download/2024.03.21/agenda-2024.03.21.nvda-addon
